glab(1)

NAME
glab-securefile-list - List secure files in a project.

SYNOPSIS
glab securefile list [flags]

DESCRIPTION
List the secure files configured for a project. Use --page and --per-page to paginate the result.

By default, files are listed for the current project. Use --repo to target another project.

OPTIONS
--jq=""
    Filter JSON output with a jq expression.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # List all secure files in the current project
    glab securefile list
    # Use the 'ls' alias
    glab securefile ls
    # List a specific page
    glab securefile list --page 2
    # List a specific page with a custom page size
    glab securefile list --page 2 --per-page 10
    # List files from another project
    glab securefile list -R owner/repo

SEE ALSO
glab-securefile(1)